Index: branch/Morales/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/Morales/sp4b1/SP4b1/SP4b1.hwp	(revision 539)
+++ branch/Morales/sp4b1/SP4b1/SP4b1.hwp	(revision 540)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\tp_sp4_Morales\sp4b1\SP4b1" "D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "M:\SP4TP\sp4b1\SP4b1" "M:\SP4TP\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\tp_sp4_Morales\sp4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_Morales\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\tp_sp4_Morales\sp4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\tp_sp4_Morales\sp4b1\SP4b1\Release" 
+"Debug" "M:\SP4TP\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "M:\SP4TP\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "M:\SP4TP\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "M:\SP4TP\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"M:\SP4TP\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"M:\SP4TP\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\tp_sp4_Morales\sp4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_Morales\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\tp_sp4_Morales\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "M:\SP4TP\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "M:\SP4TP\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "M:\SP4TP\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "0d7c237f5fb47d10" 2 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
+"M:\SP4TP\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d7c237f5fb47d10" 1 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
+"M:\SP4TP\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "0d7c237f5fb47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\tp_sp4_Morales\sp4b1\SP4b1\Debug\ncrt0.r30" 
+"M:\SP4TP\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "0d7c237f5fb47d10" 2 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
+"M:\SP4TP\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "0d7c237f5fb47d10" 1 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
+"M:\SP4TP\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "0d7c237f5fb47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\tp_sp4_Morales\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"M:\SP4TP\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "0d7c237f5fb47d10" 2 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
+"M:\SP4TP\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "0d7c237f5fb47d10" 1 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
+"M:\SP4TP\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "0d7c237f5fb47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\tp_sp4_Morales\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"M:\SP4TP\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "0d7c237f5fb47d10" 2 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
+"M:\SP4TP\sp4b1\SP4b1\ncrt0.a30" "0d7c237f5fb47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "0d7c237f5fb47d10" 1 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
+"M:\SP4TP\sp4b1\SP4b1\SP4b1.c" "0d7c237f5fb47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "0d7c237f5fb47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\tp_sp4_Morales\sp4b1\SP4b1\Release\ncrt0.r30" 
+"M:\SP4TP\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/Morales/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/Morales/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 539)
+++ branch/Morales/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 540)
@@ -45,7 +45,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "00000000000000F7" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -52,13 +52,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0317" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000006FE" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000A02" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0002" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000080" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -75,10 +75,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FE0001" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -108,11 +108,13 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth12" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "touche, 2, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "touche, 2, 0, P, Col, Hex, MN" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "t, 2, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "t, 2, 0, P, Col, Bin, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "2" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "c, 10, 0, P, Col, Bin, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "3" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "150" 
@@ -140,7 +142,7 @@
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_GOOPTION" "0 5 0 0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_ROUND" "RM_NEAR" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_STEPOPTION" "0" 
-"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "1,1,0,fe031e,1,0,1,0,0,0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC2" "0,0,1,0,1,0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC3" "0,0,1,0,1,0,1,0,0,0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC4" "0,0,1,0,1,0,1,0,0,0" 
@@ -716,6 +718,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_EVENT}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.33" 347 0 0 350 200 2065 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_IO}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.28" 347 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.34" 347 683 371 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_WATCH}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.38" 347 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32829|32772|32827|32773|<<separator>>|32786|<<separator>>|32810|32811|32831" "0.0" 
@@ -742,8 +745,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.c" 
-"D:\tp_sp4_Morales\sp4b1\SP4b1\ncrt0.a30" 
+"M:\SP4TP\sp4b1\SP4b1\SP4b1.c" 
+"M:\SP4TP\sp4b1\SP4b1\ncrt0.a30" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -790,10 +793,7 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 18 16646884 0 "{00000000-0000-0000-C000-000000000046}" "" 
-"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 24 16646903 1 "{00000000-0000-0000-C000-000000000046}" "" 
-"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 30 16646929 0 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 30 16646937 0 "{00000000-0000-0000-C000-000000000046}" "" 
 "d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 36 16646955 0 "{00000000-0000-0000-C000-000000000046}" "" 
-"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 39 16646971 1 "{00000000-0000-0000-C000-000000000046}" "" 
-"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 42 16646981 0 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\tp_sp4_morales\sp4b1\sp4b1\sp4b1.c" 42 16646973 0 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/Morales/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/Morales/sp4b1/SP4b1/SP4b1.c	(revision 539)
+++ branch/Morales/sp4b1/SP4b1/SP4b1.c	(revision 540)
@@ -20,27 +20,36 @@
  
  while(1)
  {
+	 char touche;
+	 char c;
 	 p10=0x07;					// bits de pooid fort de la forme 0111
 	 t=p10;
-	 if(t&0xf0!=0xf0)			//test les bits de poids forts. Si le bit de poid for de t est != de f, alors t&0xF0 sera != de 0xF0
+	 c = t & 0xf0;
+	 if ((t&0xf0)!=0xf0)			//test les bits de poids forts. Si le bit de poid for de t est != de f, alors t&0xF0 sera != de 0xF0
 	 {
 		 touche=p10;
+		 switch (t)
+		 {
+		 case 0b11100111:
+		 	touche ='*';
+		 break;
+		}
 	 }
 	 p10=0x0B;
 	 t=p10;
-	 if(t&0xf0!=0xf0)
+	 if((t&0xf0)!=0xf0)
 	 {
 		 touche=p10;
 	 }
 	 p10=0x0D;
 	 t=p10;
-	 if(t&0xf0!=0xf0)
+	 if((t&0xf0)!=0xf0)
 	 {
 		 touche=p10;
 	 }
 	 p10=0x0E;
 	 t=p10;
-	 if(t&0xf0!=0xf0)
+	 if((t&0xf0)!=0xf0)
 	 {
 		 touche=p10;
 	 }
Index: branch/Morales/sp4b1/SP4b1.hws
===================================================================
--- branch/Morales/sp4b1/SP4b1.hws	(revision 539)
+++ branch/Morales/sp4b1/SP4b1.hws	(revision 540)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b1" "D:\tp_sp4_Morales\sp4b1" "D:\tp_sp4_Morales\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b1" "M:\SP4TP\sp4b1" "M:\SP4TP\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b1" "D:\tp_sp4_Morales\sp4b1\SP4b1" "D:\tp_sp4_Morales\sp4b1\SP4b1\SP4b1.hwp" 0 
+"SP4b1" "M:\SP4TP\sp4b1\SP4b1" "M:\SP4TP\sp4b1\SP4b1\SP4b1.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
@@ -21,7 +21,12 @@
 [MAKEFILE_BUILD_INFO]
 "$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
 [VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
 [VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
 [OPTIONS_DEBUG_TAB]
 0 0 0 0 0 
 [VCS]