Index: branch/CHAMBELLON/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/CHAMBELLON/sp4b1/SP4b1/SP4b1.hwp	(revision 569)
+++ branch/CHAMBELLON/sp4b1/SP4b1/SP4b1.hwp	(revision 570)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\Nouveau dossier\sp4b1\SP4b1" "D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\Nouveau dossier\sp4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\Nouveau dossier\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\Nouveau dossier\sp4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\Nouveau dossier\sp4b1\SP4b1\Release" 
+"Debug" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\Nouveau dossier\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\Nouveau dossier\sp4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\Nouveau dossier\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\Nouveau dossier\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "0541227c63257d10" 2 
-"D:\Nouveau dossier\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0541227c63257d10" 1 
-"D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "0541227c63257d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\Nouveau dossier\sp4b1\SP4b1\Debug\ncrt0.r30" 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "0541227c63257d10" 2 
-"D:\Nouveau dossier\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "0541227c63257d10" 1 
-"D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "0541227c63257d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\Nouveau dossier\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "0541227c63257d10" 2 
-"D:\Nouveau dossier\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "0541227c63257d10" 1 
-"D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "0541227c63257d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\Nouveau dossier\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "0541227c63257d10" 2 
-"D:\Nouveau dossier\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\ncrt0.a30" "0541227c63257d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "0541227c63257d10" 1 
-"D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.c" "0541227c63257d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "0541227c63257d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\Nouveau dossier\sp4b1\SP4b1\Release\ncrt0.r30" 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/CHAMBELLON/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/CHAMBELLON/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 569)
+++ branch/CHAMBELLON/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 570)
@@ -24,3 +24,5 @@
 Renesas Communications=USB interface,0,
 [Target]
 M32C E8a SYSTEM=Renesas Communications
+[USER_DATA]
+RESET=fe0000
Index: branch/CHAMBELLON/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/CHAMBELLON/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 569)
+++ branch/CHAMBELLON/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 570)
@@ -8,6 +8,7 @@
 "" 
 [GENERAL_DATA]
 "FIRST_CONNECTION_TAG" "NO" 
+"MRULABELS_DATAMANAGER_KEY" "FE0000|FE02DF|FE02EA|FE002C" 
 "RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
 "{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
 "{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
@@ -22,7 +23,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
@@ -45,7 +48,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000001" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -52,13 +55,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FFFFFF" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0301" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000006FE" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000A02" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000080" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -75,10 +78,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FE0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -102,8 +105,35 @@
 "{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_SAMPLEING_RATE" "1000" 
 "{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_VIEW" "0,0,0,0,0,0" 
 "{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ImageCtrlViews" "0" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchCtrlViews" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchCtrlViews" "4" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth1" "177" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth12" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "t, 2, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "1" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth1" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth12" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth1" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth12" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ECX_WATCH_ITEMCnt" "0" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInitial_Radix" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInstanceKey0" "{WK_00000001_WATCH}SP4b1SessionM32C_E8a_SYSTEM" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchRecord" "" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchSave" "" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndUpdate_Interval" "100" 
@@ -111,7 +141,7 @@
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_GOOPTION" "0 5 0 0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_ROUND" "RM_NEAR" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_STEPOPTION" "0" 
-"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "1,1,0,fe02fb,1,0,1,0,0,0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC2" "0,0,1,0,1,0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC3" "0,0,1,0,1,0,1,0,0,0" 
 "{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC4" "0,0,1,0,1,0,1,0,0,0" 
@@ -654,7 +684,7 @@
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp98" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp99" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollHorz" "0" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollVert" "0" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollVert" "4" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth0" "200" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth1" "100" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth2" "100" 
@@ -673,10 +703,12 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 3 "0.14" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DIFFERENCE}" "WINDOW" 59422 0 0 "1.00" 200 0 0 350 200 9 0 "32902|32903|32896|32897|32899|32900|32901" "50.0" 
-"{WK_00000001_IO}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.50" 180 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "0.50" 180 512 275 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 512 275 350 200 18 0 "" "0.0" 
+"{WK_00000001_IO}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.18" 180 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.32" 180 512 275 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_WATCH}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.50" 180 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32829|32772|32827|32773|<<separator>>|32786|<<separator>>|32810|32811|32831" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 231 414 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
@@ -699,7 +731,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"D:\TP_SP4_CHAMBELLON_2021\sp4b1\SP4b1\SP4b1.c" 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.c" 
+"D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\ncrt0.a30" 
 "{WK_00000001_DIFFERENCE} WINDOW" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
Index: branch/CHAMBELLON/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/CHAMBELLON/sp4b1/SP4b1/SP4b1.c	(revision 569)
+++ branch/CHAMBELLON/sp4b1/SP4b1/SP4b1.c	(revision 570)
@@ -8,8 +8,37 @@
 /*  This file is generated by Renesas Project Generator (Ver.4.18).    */
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
+#include "sfr32c87.h"
 
-void main(void)
-{
+char t;
+
+void main(void){
+
+pd10 = 0xF0;
+p10 = 0xFF;
+pu30 = 1;
+t = p10;
+p10 = 0x00;
+
+while(1){
+
+p10 = 0x0F,	
+t = p10;
+
+if (t!=0x0F) {
 	
+p10 = 0xEF;
+t = p10;
+
+	if (t!=0x0F) {
+	
+	p10 = 0xEF;7
+	t = p10;
+ 	
+} 
+ 	
+} 
+
 }
+
+}
\ No newline at end of file
Index: branch/CHAMBELLON/sp4b1/SP4b1
===================================================================
--- branch/CHAMBELLON/sp4b1/SP4b1	(revision 569)
+++ branch/CHAMBELLON/sp4b1/SP4b1	(revision 570)

Property changes on: branch/CHAMBELLON/sp4b1/SP4b1
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,7 ##
+Debug
+Debug_M32C_E8a_SYSTEM
+Debug_M32C_Simulator
+Readme.txt
+Release
+SP4b1.nav
+SP4b1.tps
Index: branch/CHAMBELLON/sp4b1/SP4b1.hws
===================================================================
--- branch/CHAMBELLON/sp4b1/SP4b1.hws	(revision 569)
+++ branch/CHAMBELLON/sp4b1/SP4b1.hws	(revision 570)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b1" "D:\Nouveau dossier\sp4b1" "D:\Nouveau dossier\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b1" "D:\TP_SP4_CHAMBELLON\sp4b1" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b1" "D:\Nouveau dossier\sp4b1\SP4b1" "D:\Nouveau dossier\sp4b1\SP4b1\SP4b1.hwp" 0 
+"SP4b1" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1" "D:\TP_SP4_CHAMBELLON\sp4b1\SP4b1\SP4b1.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
Index: branch/CHAMBELLON/sp4b1
===================================================================
--- branch/CHAMBELLON/sp4b1	(revision 569)
+++ branch/CHAMBELLON/sp4b1	(revision 570)

Property changes on: branch/CHAMBELLON/sp4b1
___________________________________________________________________
Added: svn:ignore
## -0,0 +1 ##
+*.tws