Index: trunk/sp4abc/sp4a12/main.c
===================================================================
--- trunk/sp4abc/sp4a12/main.c	(revision 597)
+++ trunk/sp4abc/sp4a12/main.c	(revision 598)
@@ -1,137 +1,72 @@
-#include <stdio.h>
-#include <stdlib.h>
-#include <strings.h>
-#include "trame.h"
+#include <stdio.h>
+#include <stdlib.h>
+#include <strings.h>
+#include "trame.h"
+
+//Trames de tests à modifier si nécessaire.
+char * trames[]=  {"$GPGSV,3,2,10,15,03,077,,18,04,041,42,19,85,271,,20,08,214,*7C",
+                    "$GPGSV,3,3,10,22,39,053,50,28,15,320,*7E",
+                    "$GPRMC,141914.00,A,4545.6424,N,00306.6036,E,0.4,99.4,010206,,*0C",
+                    "$GPGLL,4545.6424,N,00306.6036,E,141914.00,A*0E",
+                    "$GPGGA,141914.00,4545.0000,N,00306.6036,E,1,05,3.4,499.3,M,,M,,*7D",
+                    "$GPGSA,A,3,,03,,22,14,,01,,18,,,,3.9,3.4,1.9*39",
+                    "$GPVTG,99.4,T,,M,0.4,N,0.7,K*57",
+                    "$GPZDA,141914.00,01,02,2006,00,00*69",
+                    0};
 
- 
-
-/*Trames de tests à modifier si nécessaire.*/
-char * trames[]=  {"$GPGSV,3,2,10,15,03,077,,18,04,041,42,19,85,271,,20,08,214,*7C",
-                    "$GPGSV,3,3,10,22,39,053,50,28,15,320,*7E",
-                    "$GPRMC,141914.00,A,4545.6424,N,00306.6036,E,0.4,99.4,010206,,*0C",
-                    "$GPGLL,4545.6424,N,00306.6036,E,141914.00,A*0E",
-                    "$GPGGA,141914.00,4545.0000,N,00306.6036,E,1,05,3.4,499.3,M,,M,,*7D",
-                    "$GPGSA,A,3,,03,,22,14,,01,,18,,,,3.9,3.4,1.9*39",
-                    "$GPVTG,99.4,T,,M,0.4,N,0.7,K*57",
-                    "$GPZDA,141914.00,01,02,2006,00,00*69",
-                    0};
-
- 
- 
-int trame_cmp(char* trame,char*b){      
-int k=0;    //Initialisation des variables     
-int verif = 1;     
-int j;       
-while(b[k] != NULL){ //Calcul de la taille de la chaine type       
-  k++;    
-   }  
-     for(j=0; j<k; j++){     //On vérifie que les premiers caractères sont identiques      
-	    if (trame[j+1] != b[j]){          
-		   verif = 0;     
-		   	}   
-			     }    
-		  return verif;           //On retourne, 1 c'est validé, 0 c'est pas validé. } 
-	}
-
-
- 
-
-/*Fonction à modifier !!!!!*/
-void traitement(char * trame)
-{
-    static int cpt=0;
-    cpt++;
-    if(trame_cmp(trame,"GPGGA"))
-    printf ("> %s\n",trame);
-}
-
- 
- int decode_int(char c){
- 	int i;
- 	if(c>='0'&&c<='9'){
- 		i=c-48;
-	 }
-	 else
-	 i=-1;
-	 
-	 return i;
- }
- 
- 
-/*Ajouter vos tests unitaires dans cette fonction.*/
-void tests_unitaires(void){
-	
-    if (5!=5){
-        printf ("Erreur Test unitaire basique.\n");
-        exit(-1);
-    }
-    
-    if (trame_cmp("$GPGGA suite chaine","GPGGA")!=1){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    if (trame_cmp("$GPRMC suite chaine","GPGGA")!=0){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    if (trame_cmp("$GPRMC... ", "GPRMC" )!=1){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    if (trame_cmp("$APRMC...", "GPGGA")!=0){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    
-}
-
- void test_decode_int(void){
- 	if(decode_int('a')==1){
- 		printf("Erreur test unitaire test_decode\n");
- 		exit(-1);
-	 }
-	if(decode_int('0')==1){
- 		printf("test unitaire test_decode\n");
- 		exit(-1);
-	 }
-	if(decode_int('0')!=1){
- 		printf("Erreur test unitaire test_decode\n");
- 		exit(-1);
-	 }
-	if(decode_int('3')!=1){
- 		printf("Erreur test unitaire test_decode\n");
- 		exit(-1);
-	 }
- }
-
-/* Ne pas modifier cette fonction*/
-int main(int argc,char ** argv)
-{
-
- 
-
-    tests_unitaires();
-    test_decode_int();
-
- 
-
-    /*Affichage des trames definies dans la table trames.*/
-    printf ("Trames de tests tableau trames:\n");
-    int i=0;
-    while (trames[i])
-        traitement(trames[i++]);
-
- 
-
-    if (!trame_init())
-        exit(-1);
-    /* Affichage des trames du fichier gps.log*/
-    char *trame;
-    printf ("Trames de tests du fichier gps.log\n");
-    while  ((trame = trame_suivante()))
-        traitement(trame);
-
- 
-
+int trame_cmp(char* a,char* b){
     return 0;
 }
+
+//Fonction à modifier !!!!!
+void traitement(char * trame)
+{
+    printf ("> %s\n",trame);
+}
+
+//Ajouter vos tests unitaires dans cette fonction.
+void tests_unitaires(void){
+    if (5!=5){
+        printf ("Erreur Test unitaire basique.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPGGA suite chaine","GPGGA")!=1){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPRMC suite chaine","GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPRMC... ", "GPRMC" )!=1){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$APRMC...", "GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+}
+
+// Ne pas modifier cette fonction
+int main(int argc,char ** argv)
+{
+
+    tests_unitaires();
+
+    // Affichage des trames definies dans la table trames.
+    printf ("Trames de tests tableau trames:\n");
+    int i=0;
+    while (trames[i])
+        traitement(trames[i++]);
+
+    if (!trame_init())
+        exit(-1);
+    // Affichage des trames du fichier gps.log
+    char *trame;
+    printf ("Trames de tests du fichier gps.log\n");
+    while  ((trame = trame_suivante()))
+        traitement(trame);
+
+    return 0;
+}